## mx-updater 25.09.01mx25

=== debian/changelog ===
mx-updater (25.09.01mx25) mx; urgency=medium

  * Initial build of MX Updater based on apt-notifier

 -- fehlix <fehlix@mxlinux.org>  Mon, 08 Sep 2025 18:09:25 -0400

apt-notifier (24.09.01) mx; urgency=medium

  * Fix: Close only current window with clicking on [x], not MX Updater.

 -- fehlix <fehlix@mxlinux.org>  Wed, 18 Sep 2024 14:46:16 -0400

apt-notifier (24.05.01) mx; urgency=medium

  * Fix: basic upgrade with APT::Get::Upgrade-Allow-New=false
    to prevent installing new packages.

 -- fehlix <fehlix@mxlinux.org>  Thu, 09 May 2024 15:23:52 -0400

apt-notifier (24.04.01) mx; urgency=medium

  * Add line break in the countdown line for smaller display size
  * Suppress first blank line in the terminal
  * Add terminal support for lxterminal, mate-terminal, qterminal,
    terminator and zutty
  * Check whether the qterminal version is up-to-date enough
  * Use of the xfce4 terminal as a fallback, if installed
  * Adjust unprivileged view of the auto-upgrade logs

 -- fehlix <fehlix@mxlinux.org>  Thu, 25 Apr 2024 20:53:31 -0400

apt-notifier (24.03.01) mx; urgency=medium

  * generate svg iconset with rsvg-convert instead of inkscape
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 25 Mar 2024 17:59:12 -0400

apt-notifier (23.07.02) mx; urgency=medium

  * update pulse icons [MelBer]

 -- fehlix <fehlix@mxlinux.org>  Mon, 10 Jul 2023 05:40:06 -0500

apt-notifier (23.07.01) mx; urgency=medium

  * set max size for yad and terminal window
  * fix nala's --raw-dpkg switch for kernel- and dkms-upgrades

 -- fehlix <fehlix@mxlinux.org>  Sat, 01 Jul 2023 19:54:12 -0500

apt-notifier (23.06.01) mx; urgency=medium

  * set apt as default

 -- fehlix <fehlix@mxlinux.org>  Sat, 10 Jun 2023 15:36:00 -0500

apt-notifier (23.05.01) mx; urgency=medium

  * set nala as default
  * use nala's --raw-dpkg switch for kernel- and dkms- upgrades

 -- fehlix <fehlix@mxlinux.org>  Wed, 17 May 2023 20:08:18 -0500

apt-notifier (23.03.01) mx; urgency=medium

  * fix quick-live-update
  * add check for last apt update run
  * add 03apt-notifier-update-stamp
  * adjust forced check to 3 hours
  * add debhelper-compat (= 13) to build-depends
  * use shutil.which instead of distutils.spawn.find_executable
  * add python3-ewmh as depends to detect fullscreen
  * remove python3-distutils from build-depends
  * translations refresh

 -- fehlix <fehlix@mxlinux.org>  Wed, 08 Mar 2023 14:35:52 -0500

apt-notifier (23.01.01mx21) mx; urgency=medium

  * get adjusted {num} placeholder from transifex for sv_SE locale

 -- fehlix <fehlix@mxlinux.org>  Sun, 22 Jan 2023 16:03:03 -0500

apt-notifier (22.12.01mx21) mx; urgency=medium

  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Thu, 29 Dec 2022 15:29:52 -0500

apt-notifier (22.09.01mx21) mx; urgency=medium

  * add less-prompt for dpkg config diff pager

 -- fehlix <fehlix@mxlinux.org>  Thu, 15 Sep 2022 18:35:52 -0400

apt-notifier (22.08.01mx21) mx; urgency=medium

  * add mnotify-none-pulse-white.png icon
  * adjust user's apt-notifier.conf with addded icon
  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 15 Aug 2022 15:44:53 -0400

apt-notifier (22.07.03mx21) mx; urgency=medium

  * fix checking mx-packageinstaller is available
  * translation refresh

 -- fehlix <fehlix@mxlinux.org>  Mon, 25 Jul 2022 18:01:04 -0400

apt-notifier (22.07.02mx21) mx; urgency=medium

  * add icon-set defaults to user config items with example section
  * re-enable "hide until updates available" feature after reboot/logout
  * reduce number of monitored files to trigger update check
  * use mxpi-launcher to start mx-packageinstaller

 -- fehlix <fehlix@mxlinux.org>  Sun, 17 Jul 2022 18:58:09 -0400

apt-notifier (22.07.01mx21) mx; urgency=medium

  * enhance sanity check of config items
  * remove double notification after Esc
  * speedup counting of upgradable packages
  * support alternative icon sets in config items
  * allow use of nala with default disabled autoremove 

 -- fehlix <fehlix@mxlinux.org>  Fri, 08 Jul 2022 17:02:59 -0400

apt-notifier (22.06.01mx21) mx; urgency=medium

  * create timeout defaults in ~/.config/MX-Linux/apt-notifier.conf
  * enhance sanity check of config items

 -- fehlix <fehlix@mxlinux.org>  Tue, 28 Jun 2022 13:17:39 -0400

apt-notifier (22.05.04mx21) mx; urgency=medium

  * addjust control file

 -- fehlix <fehlix@mxlinux.org>  Sun, 15 May 2022 20:15:31 -0400

apt-notifier (22.05.03mx21) mx; urgency=medium

  * add dependency python3-notify2, python3-distutils

 -- fehlix <fehlix@mxlinux.org>  Sun, 15 May 2022 18:17:28 -0400

apt-notifier (22.05.02mx21) mx; urgency=medium

  * add /boot-space check run to left-click, synaptic and mxpi 

 -- fehlix <fehlix@mxlinux.org>  Thu, 05 May 2022 19:34:27 -0400

apt-notifier (22.05.01mx21) mx; urgency=medium

  * add check of free space at /boot with cleanup-notifier-mx 

 -- fehlix <fehlix@mxlinux.org>  Tue, 03 May 2022 19:42:09 -0400

apt-notifier (22.01.01mx21) mx; urgency=medium

  * adjust icons and translations build
  * adjust lock check, min./max. update check interval
  * adjust gettext translation class and fallback handling
  * rework desktop entry and policy translations handling

 -- fehlix <fehlix@mxlinux.org>  Thu, 27 Jan 2022 17:09:15 -0400

apt-notifier (21.09.01mx21+1) mx; urgency=medium

  * fresh builds 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 20 Sep 2021 20:49:40 -0400

apt-notifier (21.09.01mx21) mx; urgency=medium

  * adjust escape-ok in View and Upgrade dialog

 -- fehlix <fehlix@mxlinux.org>  Thu, 09 Sep 2021 23:11:10 +0000

apt-notifier (21.08.01mx21) mx; urgency=medium

  * fix execution permission of apt-notifier.py 

 -- fehlix <fehlix@mxlinux.org>  Wed, 25 Aug 2021 21:01:09 +0000

apt-notifier (21.07.01mx21) mx; urgency=medium

  * adjust upgrade_auto_close_timeout config
  * add user config as ~/.config/{dist}/apt-notifier.conf

 -- fehlix <fehlix@mxlinux.org>  Mon, 19 Jul 2021 12:06:18 -0400


