## mx-updater 25.09.03mx25

=== debian/changelog ===
mx-updater (25.09.03mx25) mx; urgency=medium

  * adjust tray icon visibilty checks
  * restore autostart desktop entry
  * keep systray icon hidden with autostart if set in preferences
  * fix enable automatic upgrade logs due to restrictive read permissions
  * add pycache stanzas to postinst and prerm
  * add licence.html file to install
  * add translations for strings

 -- fehlix <fehlix@mxlinux.org>  Sun, 14 Sep 2025 12:39:18 -0400
