=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ 
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	$(MAKE) -C icons clean
@@ -17,7 +17,5 @@
 override_dh_auto_install:
 	dh_auto_install
 
-override_dh_usrlocal:
-
 override_dh_builddeb:
 	dh_builddeb -- -Z xz
