## mx-updater 25.09.06mx25

=== debian/changelog ===
mx-updater (25.09.06mx25) mx; urgency=medium

  * Add origin 'site=' to origin pattern. Thanks kmathern.
  * Use locale domain 'mx-updater' instead of 'apt-notifier'
  * Add Unattended-Upgrade::Package-Blacklist. Thanks kmathern.

 -- fehlix <fehlix@mxlinux.org>  Thu, 02 Oct 2025 17:24:44 -0400
