## mx-updater 25.09.07mx25

=== debian/changelog ===
mx-updater (25.09.07mx25) mx; urgency=medium

  * List to be installed packages one per-line in unattended-upgrade logs. Thanks kmathern.
  * Remove debug, but keep info, error, and warning lines from unattended-upgrade logs. Thanks kmathern.
  * Remove lot's of other debug prints
  * Remove non-used leftover scripts
  * Clean more apt-notifier remainings
  * Customize window titles
  * Add localized pattern to unattended-upgrade log view
  * Set trayicon visibility after icon was set
  * Use apt's translation for "[Working]" within "View_and Upgrade" preview
  * Always trim spaces
  * Run dbus-activated updater-system-monitor without debug output
  * Keep translated hint-line as the last line in the log-viewer of unattended-upgrade logs
  * Always display the "some" icon when updates are available, even if unattended-upgrade is enabled
  * Add symlinks during build, and remove symlinks from github

 -- fehlix <fehlix@mxlinux.org>  Sat, 11 Oct 2025 09:02:35 -0400
