## mx-updater 25.10.01mx25

=== debian/changelog ===
mx-updater (25.10.01mx25) mx; urgency=medium

  * Replace 2-apt-compat with 2-origin-patterns-daily
  * Keep mx-updater-autostart.desktop as conffile
  * Adjust more translation strings
  * Add more translator comments
  * Replace python brace-format with %d-format in translation strings
  * Adjust accelarator shortcuts
  * Use latest translations from transifex

 -- fehlix <fehlix@mxlinux.org>  Fri, 17 Oct 2025 12:12:03 -0400
