## mx-updater 25.10.02mx25

=== l10n/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 LCMSGS := LC_MESSAGES/$(PKGNAM).mo
 
-DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
-DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(basename $(DESKTOP_IN))))
+DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop)
+DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(DESKTOP_IN)))
 
 ifneq ($(strip $(LINGUAS)),)
   LINGUAS := $(sort $(LINGUAS))
@@ -35,7 +35,7 @@
 
 desktop: $(DESKTOP)
 
-$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop.in
+$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop
 	@mkdir -p $(BUILD)/xdg
 	@echo "  " $@ 
 	msgfmt --desktop --template $< -d $(PO_DIR) -o $@
