=== debian/changelog ===
mx-updater (25.10.02mx25) mx; urgency=medium

  * Add restart option "--restart" as default to mx-updater.desktop
  * Adjust wait-online and origin-patterns-daily for apt-daily services
  * Refresh latest translations from transifex

 -- fehlix <fehlix@mxlinux.org>  Mon, 20 Oct 2025 07:18:32 -0400
