## mx-updater 25.11.01mx25

=== debian/changelog ===
mx-updater (25.11.01mx25) mx; urgency=medium

  * Add a search field to the unattended-upgrade log viewers
  * Refresh latest translations from transifex

 -- fehlix <fehlix@mxlinux.org>  Sat, 01 Nov 2025 17:40:52 -0400
