=== debian/changelog ===
mx-updater (25.11.02mx25) mx; urgency=medium

  * Set no-autoremove for "nala" and "apt" to avoid kernel removal
  * Translation refresh

 -- fehlix <fehlix@mxlinux.org>  Thu, 06 Nov 2025 17:21:52 -0500
