=== debian/rules ===
#!/usr/bin/make -f

%:
	#dh $@ --with python3 --buildsystem=pybuild
	dh $@ --with python3

override_dh_auto_build:
	$(MAKE) -C icons
	$(MAKE) -C l10n
	$(MAKE) -C version
	dh_auto_build

override_dh_clean:
	$(MAKE) -C icons clean
	$(MAKE) -C l10n clean
	$(MAKE) -C version clean
	dh_clean
