## mx-updater 26.01.01mx25

=== debian/changelog ===
mx-updater (26.01.01mx25) mx; urgency=medium

  * Suppress unnecessary warnings when default values are used

 -- fehlix <fehlix@mxlinux.org>  Sun, 04 Jan 2026 16:23:57 -0500
