## mx-updater 26.01.02mx25

=== debian/changelog ===
mx-updater (26.01.02mx25) mx; urgency=medium

  * Always recreate the system-wide autostart entry if it is missing.

 -- fehlix <fehlix@mxlinux.org>  Wed, 14 Jan 2026 19:10:17 -0500
