## mx-updater 26.01.03mx25

=== debian/changelog ===
mx-updater (26.01.03mx25) mx; urgency=medium

  * Enable log rotation for mx-updater-monitor logs

 -- fehlix <fehlix@mxlinux.org>  Fri, 16 Jan 2026 15:24:01 -0500
